package shop;

public class CashDeskImpl implements CashDesk {
	private double sum = 0.0;
	private double tax7 = 0.0;
	private double tax19 = 0.0;

	@Override
	public void addPrice(Item i) {
		i.addPriceTo(this);
	}

	public void addPrice(Book b) {
		sum += b.getPreis();
		tax7 += b.getPreis()*.07/1.07;
	}
	
	public void addPrice(DVD d) {
		sum += d.getPreis();
		tax19 += d.getPreis()*.19/1.19;
	}
	
	@Override
	public String toString() {
		return String.format("Gesamtsumme %.2f, davon 19%% MWSt %.2f, 7%% MWSt %.2f", sum, tax19, tax7);
	}
	
	
}
